Remove use of deprecated EditPage::getCheckboxes() in VE
Closed, ResolvedPublic1 Story Points

Description

Remove use of deprecated EditPage::getCheckboxes() in VE. getCheckboxesDefinition() is in fact much more convenient for us, since we won't have to extract stuff from HTML chunks.

matmarex created this task.Aug 30 2017, 8:15 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptAug 30 2017, 8:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
matmarex claimed this task.Aug 30 2017, 8:15 PM

Change 375019 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] EditPage: Make getCheckboxesDefinition() public

https://gerrit.wikimedia.org/r/375019

Change 375020 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Stop requiring deprecated EditPage::getCheckboxes()

https://gerrit.wikimedia.org/r/375020

Change 375021 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Remove use of deprecated EditPage::getCheckboxes()

https://gerrit.wikimedia.org/r/375021

Change 375019 merged by jenkins-bot:
[mediawiki/core@master] EditPage: Make getCheckboxesDefinition() public

https://gerrit.wikimedia.org/r/375019

Deskana set the point value for this task to 1.Sep 5 2017, 12:33 PM
Deskana moved this task from To Triage to TR1: Releases on the VisualEditor board.
Deskana triaged this task as Normal priority.Sep 5 2017, 12:39 PM

Change 375020 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Stop requiring deprecated EditPage::getCheckboxes()

https://gerrit.wikimedia.org/r/375020

Change 375021 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Remove use of deprecated EditPage::getCheckboxes()

https://gerrit.wikimedia.org/r/375021

matmarex closed this task as Resolved.Sep 19 2017, 4:33 PM
matmarex removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 19 2017, 4:33 PM